KD Chart 2: KDChartDataValueAttributes.h File Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChartDataValueAttributes.h File Reference

## Detailed Description

Declaring the class KDChart::DataValueAttributes.

Definition in file KDChartDataValueAttributes.h.

`#include <Qt>`
`#include <QMetaType>`
`#include "KDChartGlobal.h"`
`#include "KDChartEnums.h"`
`#include "KDChartRelativePosition.h"`

Include dependency graph for KDChartDataValueAttributes.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | KDChart
## Functions
KDCHART_EXPORT QDebug | operator<< (QDebug, const KDChart::DataValueAttributes &)
| Q_DECLARE_TYPEINFO (KDChart::DataValueAttributes, Q_MOVABLE_TYPE)

## Function Documentation

KDCHART_EXPORT QDebug operator<< | ( | QDebug | ,
|  | const KDChart::DataValueAttributes & |
| ) |

| Definition at line 324 of file KDChartDataValueAttributes.cpp. References KDChart::DataValueAttributes::backgroundAttributes(), KDChart::DataValueAttributes::decimalDigits(), KDChart::DataValueAttributes::frameAttributes(), KDChart::DataValueAttributes::isVisible(), KDChart::DataValueAttributes::negativePosition(), KDChart::DataValueAttributes::positivePosition(), KDChart::DataValueAttributes::powerOfTenDivisor(), KDChart::DataValueAttributes::showInfinite(), KDChart::DataValueAttributes::showRepetitiveDataLabels(), and KDChart::DataValueAttributes::textAttributes().
    00325 {
    00326     dbg << "RelativePosition DataValueAttributes("
    00327         << "visible="<<val.isVisible()
    00328         << "textattributes="<<val.textAttributes()
    00329         << "frameattributes="<<val.frameAttributes()
    00330         << "backgroundattributes="<<val.backgroundAttributes()
    00331         << "decimaldigits="<<val.decimalDigits()
    00332         << "poweroftendivisor="<<val.powerOfTenDivisor()
    00333         << "showinfinite="<<val.showInfinite()
    00334         << "negativerelativeposition="<<val.negativePosition()
    00335         << "positiverelativeposition="<<val.positivePosition()
    00336         << "showRepetitiveDataLabels="<<val.showRepetitiveDataLabels()
    00337         <<")";
    00338     return dbg;
    00339 }

Q_DECLARE_TYPEINFO | ( | KDChart::DataValueAttributes | ,
|  | Q_MOVABLE_TYPE |
| ) |